module Encoding.Base91
  ( enc91
  , dec91
  ) where

import qualified Data.ByteString.Char8 as C
import Data.ByteString.UTF8 as BSU
import qualified Codec.Binary.Base91 as B91
import qualified Data.Text as T
-- import qualified Data.Text.IO as T
import qualified Data.Text.Encoding as T

dec91 :: String -> String
dec91 = T.unpack . T.decodeUtf8 . B91.decode

enc91 :: String -> String
enc91 = B91.encode . BSU.fromString
